From: Ralph Ronnquist <rrq@rrq.au>
Date: Sun, 5 Nov 2023 11:29:06 +0000 (+1100)
Subject: Include full building as well as populating a ventoy usb
X-Git-Url: https://git.rrq.au/?a=commitdiff_plain;h=f4037c7384d0e604dd6816c7adae7f47143c670b;p=rrq%2Ftiniest.git

Include full building as well as populating a ventoy usb
using a modified mount.exfat-fuse (that avoids blkdev setting so
as to allow non-root usage)
---

diff --git a/repack.sh b/repack.sh
index 6012aa3..db48e6c 100755
--- a/repack.sh
+++ b/repack.sh
@@ -1,5 +1,12 @@
 #!/bin/bash
 #
 # Clean up everything then build iso from scratch
+set -e -x
 git clean -f
-rm -r initrd isotree kernel
+rm -fr initrd isotree kernel
+cp save/* . 2>/dev/null
+./mkit.sh
+./packiso.sh
+/old/stuff/git/exfat/HERE/sbin/mount.exfat-fuse /dev/sda1 X
+cp tiniest.iso X/
+umount X